Bug 771732

Summary: qemu-img crashes trying convert vmdk to raw
Product: [Fedora] Fedora Reporter: Volnei <vcputtini>
Component: qemuAssignee: Fedora Virtualization Maintainers <virt-maint>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 16CC: amit.shah, berrange, crobinso, dougsland, dwmw2, itamar, ivan.makfinsky, jaswinder, jforbes, knoel, scottt.tw, tburke, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-12-17 13:23:00 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Volnei 2012-01-04 14:07:35 EST
Description of problem:
I'm trying convert a vmdk image to a raw image.

Version-Release number of selected component (if applicable):


How reproducible:
Execute:
qemu-img convert fila.vmdk -O raw file.img

Steps to Reproduce:
1.
2.
3.
  
Actual results:

emu-img convert OracleSolaris11_11-11-disk1.vmdk -O raw solaris11.img
*** glibc detected *** qemu-img: double free or corruption (top): 0x00007fb0ac10dd30 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x3f2d47c2d6)[0x7fb0a7e012d6]
/lib64/libc.so.6(+0x3f2d47d5be)[0x7fb0a7e025be]
qemu-img(+0x215a2)[0x7fb0a9d855a2]
qemu-img(+0x21fbf)[0x7fb0a9d85fbf]
qemu-img(+0x13629)[0x7fb0a9d77629]
qemu-img(+0x141a7)[0x7fb0a9d781a7]
qemu-img(+0xa0f3)[0x7fb0a9d6e0f3]
qemu-img(+0xb4b8)[0x7fb0a9d6f4b8]
/lib64/libc.so.6(__libc_start_main+0xed)[0x7fb0a7da669d]
qemu-img(+0x99cd)[0x7fb0a9d6d9cd]
======= Memory map: ========
7fb0a37be000-7fb0a381b000 r-xp 00000000 08:03 1967611                    /lib64/libfreebl3.so
7fb0a381b000-7fb0a3a1b000 ---p 0005d000 08:03 1967611                    /lib64/libfreebl3.so
7fb0a3a1b000-7fb0a3a1c000 r--p 0005d000 08:03 1967611                    /lib64/libfreebl3.so
7fb0a3a1c000-7fb0a3a1d000 rw-p 0005e000 08:03 1967611                    /lib64/libfreebl3.so
7fb0a3a1d000-7fb0a3a21000 rw-p 00000000 00:00 0 
7fb0a3a21000-7fb0a3a3e000 r-xp 00000000 08:03 1967579                    /lib64/libselinux.so.1
7fb0a3a3e000-7fb0a3c3e000 ---p 0001d000 08:03 1967579                    /lib64/libselinux.so.1
7fb0a3c3e000-7fb0a3c3f000 r--p 0001d000 08:03 1967579                    /lib64/libselinux.so.1
7fb0a3c3f000-7fb0a3c40000 rw-p 0001e000 08:03 1967579                    /lib64/libselinux.so.1
7fb0a3c40000-7fb0a3c41000 rw-p 00000000 00:00 0 
7fb0a3c41000-7fb0a3c49000 r-xp 00000000 08:03 1967612                    /lib64/libcrypt-2.14.90.so
7fb0a3c49000-7fb0a3e48000 ---p 00008000 08:03 1967612                    /lib64/libcrypt-2.14.90.so
7fb0a3e48000-7fb0a3e49000 r--p 00007000 08:03 1967612                    /lib64/libcrypt-2.14.90.so
7fb0a3e49000-7fb0a3e4a000 rw-p 00008000 08:03 1967612                    /lib64/libcrypt-2.14.90.so
7fb0a3e4a000-7fb0a3e78000 rw-p 00000000 00:00 0 
7fb0a3e78000-7fb0a3fec000 r-xp 00000000 08:03 1967598                    /lib64/libcrypto.so.1.0.0e
7fb0a3fec000-7fb0a41eb000 ---p 00174000 08:03 1967598                    /lib64/libcrypto.so.1.0.0e
7fb0a41eb000-7fb0a420d000 rw-p 00173000 08:03 1967598                    /lib64/libcrypto.so.1.0.0e
7fb0a420d000-7fb0a4211000 rw-p 00000000 00:00 0 
7fb0a4211000-7fb0a4265000 r-xp 00000000 08:03 3442825                    /usr/lib64/libssl.so.1.0.0e
7fb0a4265000-7fb0a4464000 ---p 00054000 08:03 3442825                    /usr/lib64/libssl.so.1.0.0e
7fb0a4464000-7fb0a446c000 rw-p 00053000 08:03 3442825                    /usr/lib64/libssl.so.1.0.0e                                                                    
7fb0a446c000-7fb0a446e000 r-xp 00000000 08:03 1967592                    /lib64/libkeyutils.so.1.4                                                                      
7fb0a446e000-7fb0a466e000 ---p 00002000 08:03 1967592                    /lib64/libkeyutils.so.1.4                                                                      
7fb0a466e000-7fb0a466f000 rw-p 00002000 08:03 1967592                    /lib64/libkeyutils.so.1.4                                                                      
7fb0a466f000-7fb0a4679000 r-xp 00000000 08:03 1967593                    /lib64/libkrb5support.so.0.1                                                                   
7fb0a4679000-7fb0a4878000 ---p 0000a000 08:03 1967593                    /lib64/libkrb5support.so.0.1                                                                   
7fb0a4878000-7fb0a4879000 r--p 00009000 08:03 1967593                    /lib64/libkrb5support.so.0.1
7fb0a4879000-7fb0a487a000 rw-p 0000a000 08:03 1967593                    /lib64/libkrb5support.so.0.1
7fb0a487a000-7fb0a4893000 r-xp 00000000 08:03 3443480                    /usr/lib64/libsasl2.so.2.0.23
7fb0a4893000-7fb0a4a93000 ---p 00019000 08:03 3443480                    /usr/lib64/libsasl2.so.2.0.23
7fb0a4a93000-7fb0a4a94000 r--p 00019000 08:03 3443480                    /usr/lib64/libsasl2.so.2.0.23
7fb0a4a94000-7fb0a4a95000 rw-p 0001a000 08:03 3443480                    /usr/lib64/libsasl2.so.2.0.23
7fb0a4a95000-7fb0a4aad000 r-xp 00000000 08:03 1967588                    /lib64/libresolv-2.14.90.so
7fb0a4aad000-7fb0a4cad000 ---p 00018000 08:03 1967588                    /lib64/libresolv-2.14.90.so
7fb0a4cad000-7fb0a4cae000 r--p 00018000 08:03 1967588                    /lib64/libresolv-2.14.90.so
7fb0a4cae000-7fb0a4caf000 rw-p 00019000 08:03 1967588                    /lib64/libresolv-2.14.90.so
7fb0a4caf000-7fb0a4cb1000 rw-p 00000000 00:00 0 
7fb0a4cb1000-7fb0a4cd5000 r-xp 00000000 08:03 3443485                    /usr/lib64/libssh2.so.1.0.1
7fb0a4cd5000-7fb0a4ed5000 ---p 00024000 08:03 3443485                    /usr/lib64/libssh2.so.1.0.1
7fb0a4ed5000-7fb0a4ed6000 rw-p 00024000 08:03 3443485                    /usr/lib64/libssh2.so.1.0.1
7fb0a4ed6000-7fb0a4ed8000 r-xp 00000000 08:03 1967578                    /lib64/libdl-2.14.90.so
7fb0a4ed8000-7fb0a50d8000 ---p 00002000 08:03 1967578                    /lib64/libdl-2.14.90.so
7fb0a50d8000-7fb0a50d9000 r--p 00002000 08:03 1967578                    /lib64/libdl-2.14.90.so
7fb0a50d9000-7fb0a50da000 rw-p 00003000 08:03 1967578                    /lib64/libdl-2.14.90.so
7fb0a50da000-7fb0a5112000 r-xp 00000000 08:03 1967614                    /lib64/libnspr4.so
7fb0a5112000-7fb0a5312000 ---p 00038000 08:03 1967614                    /lib64/libnspr4.so
7fb0a5312000-7fb0a5314000 rw-p 00038000 08:03 1967614                    /lib64/libnspr4.so
7fb0a5314000-7fb0a5317000 rw-p 00000000 00:00 0 
7fb0a5317000-7fb0a531b000 r-xp 00000000 08:03 1967615                    /lib64/libplc4.so
7fb0a531b000-7fb0a551a000 ---p 00004000 08:03 1967615                    /lib64/libplc4.so
7fb0a551a000-7fb0a551b000 rw-p 00003000 08:03 1967615                    /lib64/libplc4.so
7fb0a551b000-7fb0a551e000 r-xp 00000000 08:03 1967616                    /lib64/libplds4.so
7fb0a551e000-7fb0a571d000 ---p 00003000 08:03 1967616                    /lib64/libplds4.so
7fb0a571d000-7fb0a571e000 rw-p 00002000 08:03 1967616                    /lib64/libplds4.so
7fb0a571e000-7fb0a573e000 r-xp 00000000 08:03 3443496                    /usr/lib64/libnssutil3.so
7fb0a573e000-7fb0a593e000 ---p 00020000 08:03 3443496                    /usr/lib64/libnssutil3.so
7fb0a593e000-7fb0a5944000 rw-p 00020000 08:03 3443496                    /usr/lib64/libnssutil3.so
7fb0a5944000-7fb0a5a74000 r-xp 00000000 08:03 3443523                    /usr/lib64/libnss3.so
7fb0a5a74000-7fb0a5c73000 ---p 00130000 08:03 3443523                    /usr/lib64/libnss3.so
7fb0a5c73000-7fb0a5c7a000 rw-p 0012f000 08:03 3443523                    /usr/lib64/libnss3.so
7fb0a5c7a000-7fb0a5c7b000 rw-p 00000000 00:00 0 
7fb0a5c7b000-7fb0a5ca3000 r-xp 00000000 08:03 3443531                    /usr/lib64/libsmime3.so
7fb0a5ca3000-7fb0a5ea3000 ---p 00028000 08:03 3443531                    /usr/lib64/libsmime3.so
7fb0a5ea3000-7fb0a5ea7000 rw-p 00028000 08:03 3443531                    /usr/lib64/libsmime3.so
7fb0a5ea7000-7fb0a5edf000 r-xp 00000000 08:03 3443530                    /usr/lib64/libssl3.so
7fb0a5edf000-7fb0a60df000 ---p 00038000 08:03 3443530                    /usr/lib64/libssl3.so
7fb0a60df000-7fb0a60e2000 rw-p 00038000 08:03 3443530                    /usr/lib64/libssl3.so
7fb0a60e2000-7fb0a60e5000 r-xp 00000000 08:03 1967595                    /lib64/libcom_err.so.2.1
7fb0a60e5000-7fb0a62e4000 ---p 00003000 08:03 1967595                    /lib64/libcom_err.so.2.1
7fb0a62e4000-7fb0a62e5000 rw-p 00002000 08:03 1967595                    /lib64/libcom_err.so.2.1
7fb0a62e5000-7fb0a630e000 r-xp 00000000 08:03 1967594                    /lib64/libk5crypto.so.3.1
7fb0a630e000-7fb0a650d000 ---p 00029000 08:03 1967594                    /lib64/libk5crypto.so.3.1
7fb0a650d000-7fb0a650f000 r--p 00028000 08:03 1967594                    /lib64/libk5crypto.so.3.1
7fb0a650f000-7fb0a6510000 rw-p 0002a000 08:03 1967594                    /lib64/libk5crypto.so.3.1
7fb0a6510000-7fb0a65e3000 r-xp 00000000 08:03 1967596                    /lib64/libkrb5.so.3.3
7fb0a65e3000-7fb0a67e3000 ---p 000d3000 08:03 1967596                    /lib64/libkrb5.so.3.3
7fb0a67e3000-7fb0a67ec000 r--p 000d3000 08:03 1967596                    /lib64/libkrb5.so.3.3
7fb0a67ec000-7fb0a67ee000 rw-p 000dc000 08:03 1967596                    /lib64/libkrb5.so.3.3
7fb0a67ee000-7fb0a682d000 r-xp 00000000 08:03 1967597                    /lib64/libgssapi_krb5.so.2.2
7fb0a682d000-7fb0a6a2c000 ---p 0003f000 08:03 1967597                    /lib64/libgssapi_krb5.so.2.2
7fb0a6a2c000-7fb0a6a2d000 r--p 0003e000 08:03 1967597                    /lib64/libgssapi_krb5.so.2.2
7fb0a6a2d000-7fb0a6a2f000 rw-p 0003f000 08:03 1967597                    /lib64/libgssapi_krb5.so.2.2
7fb0a6a2f000-7fb0a6a79000 r-xp 00000000 08:03 3443550                    /usr/lib64/libldap-2.4.so.2.7.1
7fb0a6a79000-7fb0a6c79000 ---p 0004a000 08:03 3443550                    /usr/lib64/libldap-2.4.so.2.7.1
7fb0a6c79000-7fb0a6c7a000 r--p 0004a000 08:03 3443550                    /usr/lib64/libldap-2.4.so.2.7.1
7fb0a6c7a000-7fb0a6c7c000 rw-p 0004b000 08:03 3443550                    /usr/lib64/libldap-2.4.so.2.7.1
7fb0a6c7c000-7fb0a6c8a000 r-xp 00000000 08:03 3443539                    /usr/lib64/liblber-2.4.so.2.7.1
7fb0a6c8a000-7fb0a6e89000 ---p 0000e000 08:03 3443539                    /usr/lib64/liblber-2.4.so.2.7.1
7fb0a6e89000-7fb0a6e8a000 r--p 0000d000 08:03 3443539                    /usr/lib64/liblber-2.4.so.2.7.1
7fb0a6e8a000-7fb0a6e8b000 rw-p 0000e000 08:03 3443539                    /usr/lib64/liblber-2.4.so.2.7.1
7fb0a6e8b000-7fb0a6ebc000 r-xp 00000000 08:03 1967613                    /lib64/libidn.so.11.6.5
7fb0a6ebc000-7fb0a70bc000 ---p 00031000 08:03 1967613                    /lib64/libidn.so.11.6.5
7fb0a70bc000-7fb0a70bd000 rw-p 00031000 08:03 1967613                    /lib64/libidn.so.11.6.5
7fb0a70bd000-7fb0a7140000 r-xp 00000000 08:03 1967580                    /lib64/libm-2.14.90.so
7fb0a7140000-7fb0a733f000 ---p 00083000 08:03 1967580                    /lib64/libm-2.14.90.so
7fb0a733f000-7fb0a7340000 r--p 00082000 08:03 1967580                    /lib64/libm-2.14.90.so
7fb0a7340000-7fb0a7341000 rw-p 00083000 08:03 1967580                    /lib64/libm-2.14.90.so
7fb0a7341000-7fb0a742a000 r-xp 00000000 08:03 3442649                    /usr/lib64/libstdc++.so.6.0.16
7fb0a742a000-7fb0a7629000 ---p 000e9000 08:03 3442649                    /usr/lib64/libstdc++.so.6.0.16
7fb0a7629000-7fb0a7631000 r--p 000e8000 08:03 3442649                    /usr/lib64/libstdc++.so.6.0.16
7fb0a7631000-7fb0a7633000 rw-p 000f0000 08:03 3442649                    /usr/lib64/libstdc++.so.6.0.16
7fb0a7633000-7fb0a7648000 rw-p 00000000 00:00 0 
7fb0a7648000-7fb0a7b12000 r-xp 00000000 08:03 3410102                    /usr/lib64/libcryptopp.so.6.0.0
7fb0a7b12000-7fb0a7d12000 ---p 004ca000 08:03 3410102                    /usr/lib64/libcryptopp.so.6.0.0
7fb0a7d12000-7fb0a7d7d000 r--p 004ca000 08:03 3410102                    /usr/lib64/libcryptopp.so.6.0.0
7fb0a7d7d000-7fb0a7d81000 rw-p 00535000 08:03 3410102                    /usr/lib64/libcryptopp.so.6.0.0
7fb0a7d81000-7fb0a7d85000 rw-p 00000000 00:00 0 
7fb0a7d85000-7fb0a7f30000 r-xp 00000000 08:03 1966538                    /lib64/libc-2.14.90.so
7fb0a7f30000-7fb0a8130000 ---p 001ab000 08:03 1966538                    /lib64/libc-2.14.90.so
7fb0a8130000-7fb0a8134000 r--p 001ab000 08:03 1966538                    /lib64/libc-2.14.90.so
7fb0a8134000-7fb0a8136000 rw-p 001af000 08:03 1966538                    /lib64/libc-2.14.90.so
7fb0a8136000-7fb0a813b000 rw-p 00000000 00:00 0 
7fb0a813b000-7fb0a8152000 r-xp 00000000 08:03 1967576                    /lib64/libpthread-2.14.90.so
7fb0a8152000-7fb0a8351000 ---p 00017000 08:03 1967576                    /lib64/libpthread-2.14.90.so
7fb0a8351000-7fb0a8352000 r--p 00016000 08:03 1967576                    /lib64/libpthread-2.14.90.so
7fb0a8352000-7fb0a8353000 rw-p 00017000 08:03 1967576                    /lib64/libpthread-2.14.90.so
7fb0a8353000-7fb0a8357000 rw-p 00000000 00:00 0 
7fb0a8357000-7fb0a836c000 r-xp 00000000 08:03 1966134                    /lib64/libgcc_s-4.6.2-20111027.so.1
7fb0a836c000-7fb0a856b000 ---p 00015000 08:03 1966134                    /lib64/libgcc_s-4.6.2-20111027.so.1
7fb0a856b000-7fb0a856c000 rw-p 00014000 08:03 1966134                    /lib64/libgcc_s-4.6.2-20111027.so.1
7fb0a856c000-7fb0a856d000 r-xp 00000000 08:03 1966185                    /lib64/libaio.so.1.0.1
7fb0a856d000-7fb0a876c000 ---p 00001000 08:03 1966185                    /lib64/libaio.so.1.0.1
7fb0a876c000-7fb0a876d000 rw-p 00000000 08:03 1966185                    /lib64/libaio.so.1.0.1
7fb0a876d000-7fb0a87c6000 r-xp 00000000 08:03 3443551                    /usr/lib64/libcurl.so.4.2.0
7fb0a87c6000-7fb0a89c6000 ---p 00059000 08:03 3443551                    /usr/lib64/libcurl.so.4.2.0
7fb0a89c6000-7fb0a89c8000 r--p 00059000 08:03 3443551                    /usr/lib64/libcurl.so.4.2.0
7fb0a89c8000-7fb0a89c9000 rw-p 0005b000 08:03 3443551                    /usr/lib64/libcurl.so.4.2.0
7fb0a89c9000-7fb0a8ae7000 r-xp 00000000 08:03 1967584                    /lib64/libglib-2.0.so.0.3000.1
7fb0a8ae7000-7fb0a8ce6000 ---p 0011e000 08:03 1967584                    /lib64/libglib-2.0.so.0.3000.1
7fb0a8ce6000-7fb0a8ce7000 r--p 0011d000 08:03 1967584                    /lib64/libglib-2.0.so.0.3000.1
7fb0a8ce7000-7fb0a8ce8000 rw-p 0011e000 08:03 1967584                    /lib64/libglib-2.0.so.0.3000.1
7fb0a8ce8000-7fb0a8ce9000 rw-p 00000000 00:00 0 
7fb0a8ce9000-7fb0a8edb000 r-xp 00000000 08:03 3411597                    /usr/lib64/librados.so.2.0.0
7fb0a8edb000-7fb0a90da000 ---p 001f2000 08:03 3411597                    /usr/lib64/librados.so.2.0.0
7fb0a90da000-7fb0a90e2000 r--p 001f1000 08:03 3411597                    /usr/lib64/librados.so.2.0.0
7fb0a90e2000-7fb0a90ea000 rw-p 001f9000 08:03 3411597                    /usr/lib64/librados.so.2.0.0
7fb0a90ea000-7fb0a90fe000 rw-p 00000000 00:00 0 
7fb0a90fe000-7fb0a9118000 r-xp 00000000 08:03 3443422                    /usr/lib64/librbd.so.1.0.0
7fb0a9118000-7fb0a9317000 ---p 0001a000 08:03 3443422                    /usr/lib64/librbd.so.1.0.0
7fb0a9317000-7fb0a9318000 r--p 00019000 08:03 3443422                    /usr/lib64/librbd.so.1.0.0
7fb0a9318000-7fb0a9319000 rw-p 0001a000 08:03 3443422                    /usr/lib64/librbd.so.1.0.0
7fb0a9319000-7fb0a9330000 r-xp 00000000 08:03 1967583                    /lib64/libz.so.1.2.5
7fb0a9330000-7fb0a952f000 ---p 00017000 08:03 1967583                    /lib64/libz.so.1.2.5
7fb0a952f000-7fb0a9530000 rw-p 00016000 08:03 1967583                    /lib64/libz.so.1.2.5
7fb0a9530000-7fb0a9533000 r-xp 00000000 08:03 3437709                    /usr/lib64/libusbredirparser.so.0
7fb0a9533000-7fb0a9733000 ---p 00003000 08:03 3437709                    /usr/lib64/libusbredirparser.so.0
7fb0a9733000-7fb0a9734000 rw-p 00003000 08:03 3437709                    /usr/lib64/libusbredirparser.so.0
7fb0a9734000-7fb0a9738000 r-xp 00000000 08:03 1967601                    /lib64/libattr.so.1.1.0
7fb0a9738000-7fb0a9937000 ---p 00004000 08:03 1967601                    /lib64/libattr.so.1.1.0
7fb0a9937000-7fb0a9938000 rw-p 00003000 08:03 1967601                    /lib64/libattr.so.1.1.0
7fb0a9938000-7fb0a993f000 r-xp 00000000 08:03 1967577                    /lib64/librt-2.14.90.so
7fb0a993f000-7fb0a9b3e000 ---p 00007000 08:03 1967577                    /lib64/librt-2.14.90.so
7fb0a9b3e000-7fb0a9b3f000 r--p 00006000 08:03 1967577                    /lib64/librt-2.14.90.so
7fb0a9b3f000-7fb0a9b40000 rw-p 00007000 08:03 1967577                    /lib64/librt-2.14.90.so
7fb0a9b40000-7fb0a9b62000 r-xp 00000000 08:03 1966303                    /lib64/ld-2.14.90.so
7fb0a9d1d000-7fb0a9d34000 rw-p 00000000 00:00 0 
7fb0a9d5f000-7fb0a9d61000 rw-p 00000000 00:00 0 
7fb0a9d61000-7fb0a9d62000 r--p 00021000 08:03 1966303                    /lib64/ld-2.14.90.so
7fb0a9d62000-7fb0a9d63000 rw-p 00022000 08:03 1966303                    /lib64/ld-2.14.90.so
7fb0a9d63000-7fb0a9d64000 rw-p 00000000 00:00 0 
7fb0a9d64000-7fb0a9dc3000 r-xp 00000000 08:03 3442797                    /usr/bin/qemu-img
7fb0a9fc2000-7fb0a9fc4000 r--p 0005e000 08:03 3442797                    /usr/bin/qemu-img
7fb0a9fc4000-7fb0a9fc9000 rw-p 00060000 08:03 3442797                    /usr/bin/qemu-img


Expected results:


Additional info:
Comment 1 Fedora Admin XMLRPC Client 2012-03-15 13:56:18 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Cole Robinson 2012-12-14 18:27:47 EST
Can you provide a disk image that reproduces this?
Comment 3 Volnei 2012-12-17 05:44:23 EST
Hi, I had trying to convert Sun Solaris  11 package.
but now, I don't use more the F16, and I don't know
how I can help you now.
The disk image was provided by Oracle. 
I did the download of Oracle site.
Comment 4 Cole Robinson 2012-12-17 13:23:00 EST
No problem, thanks anyways. I'll close this bug, if anyone can reproduce on F17/F18, please reopen.
Comment 5 Volnei 2012-12-17 13:26:05 EST
Ok .I'll do that

Thank you